Subject: bug#56345: 29.0.50; [PATCH] Add column hiding to tabulated-list

From: Thuna <[email-masked]>
Date: Wed, 07 Sep 2022 12:37:51 +0200

> The "why" is clear (to me), but not so much the "how".  `proced' and
> `ibuffer' for example (currently not based on tabulated-list, but they
> are also table view modes) allow to define and switch between certain
> views, but don't offer commands to explicitly select and delete columns.

I don't know how `proced' and `ibuffer' specifically handles views, but
I don't think it is a good idea to put the burden on external packages
when tabulated-list is right there.  Especially since this leads to a
lot of (what I imagine to be) duplicated code across packages.

> So the general idea (ability to leave columns out of the table) is
> surely useful, but which interface should be provided to get this is
> another question.

I don't exactly understand what you mean by "interface".  Are you
referring to the package which should be responsible for managing
which columns are visible?